- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
G::Pipe Class Reference

A private implementation class used by G::NewProcess. More...

## Public Member Functions
| Pipe (bool active)
| ~Pipe ()
void | inChild ()
void | inParent ()
int | fd () const
void | dup ()
std::string | read ()
void | write (const std::string &)

## Detailed Description

A private implementation class used by G::NewProcess.

Definition at line 55 of file gnewprocess_unix_exec_enabled.cpp.

## Constructor & Destructor Documentation

G::Pipe::Pipe | ( | bool | active | ) |
| explicit

Definition at line 302 of file gnewprocess_unix_exec_enabled.cpp.

References G_DEBUG.

G::Pipe::~Pipe | ( |  | ) |

Definition at line 311 of file gnewprocess_unix_exec_enabled.cpp.

## Member Function Documentation

void G::Pipe::dup | ( |  | ) |

Definition at line 336 of file gnewprocess_unix_exec_enabled.cpp.

Referenced by G::NewProcess::spawn().

int G::Pipe::fd | ( |  | ) | const

Definition at line 331 of file gnewprocess_unix_exec_enabled.cpp.

Referenced by G::NewProcess::spawn().

void G::Pipe::inChild | ( |  | ) |

Definition at line 317 of file gnewprocess_unix_exec_enabled.cpp.

Referenced by G::NewProcess::spawn().

void G::Pipe::inParent | ( |  | ) |

Definition at line 324 of file gnewprocess_unix_exec_enabled.cpp.

Referenced by G::NewProcess::spawn().

std::string G::Pipe::read | ( |  | ) |

Definition at line 349 of file gnewprocess_unix_exec_enabled.cpp.

References G::limits::pipe_buffer.

Referenced by G::NewProcess::spawn().

void G::Pipe::write | ( | const std::string & |  | ) |

The documentation for this class was generated from the following file:

- gnewprocess_unix_exec_enabled.cpp